OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDefs

# IGESDefs_HArray1OfTabularData Class Reference

`#include <IGESDefs_HArray1OfTabularData.hxx>`

## Public Member Functions
Standard_EXPORT | IGESDefs_HArray1OfTabularData (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDefs_HArray1OfTabularData (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESDefs_TabularData)&V)
Standard_EXPORT void | Init (const Handle(IGESDefs_TabularData)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDefs_TabularData)&Value)
const Handle_IGESDefs_TabularData & | Value (const Standard_Integer Index) const
Handle_IGESDefs_TabularData & | ChangeValue (const Standard_Integer Index)
const IGESDefs_Array1OfTabularData & | Array1 () const
IGESDefs_Array1OfTabularData & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
IGESDefs_Array1OfTabularData | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_HArray1OfTabularData::IGESDefs_HArray1OfTabularData | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDefs_HArray1OfTabularData::IGESDefs_HArray1OfTabularData | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESDefs_TabularData)& | V
| ) |

## Member Function Documentation

const IGESDefs_Array1OfTabularData& IGESDefs_HArray1OfTabularData::Array1 | ( |  | ) | const

IGESDefs_Array1OfTabularData& IGESDefs_HArray1OfTabularData::ChangeArray1 | ( |  | ) |

Handle_IGESDefs_TabularData& IGESDefs_HArray1OfTabularData::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESDefs_HArray1OfTabularData::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESDefs_HArray1OfTabularData::Init | ( | const Handle(IGESDefs_TabularData)& | V | ) |

Standard_Integer IGESDefs_HArray1OfTabularData::Length | ( |  | ) | const

Standard_Integer IGESDefs_HArray1OfTabularData::Lower | ( |  | ) | const

void IGESDefs_HArray1OfTabularData::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDefs_TabularData)& | Value
| ) |

Standard_Integer IGESDefs_HArray1OfTabularData::Upper | ( |  | ) | const

const Handle_IGESDefs_TabularData& IGESDefs_HArray1OfTabularData::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESDefs_Array1OfTabularData IGESDefs_HArray1OfTabularData::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESDefs_HArray1OfTabularData.hxx